epp_Greeting (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.epp_Greeting class

### org.openrtk.idl.epp0402

# Class epp_Greeting

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.epp_Greeting`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_Greeting`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains elements to state the EPP server's abilities. The greeting returned by the server is in response to a successful connection or the hello request initiated by the client. It lists the languages and protocol versions supported by the server and the services offered by the server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/epp_Greeting.java,v 1.2 2003/09/10 21:29:55 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:55 $

See Also:
  `EPPGreeting.getResponseData()`, `EPPClient.getGreeting()`, `EPPClient.hello()`

  ## Field Summary
  `String[]` | `m_langs` The array of languages supported by the server.
  `String` | `m_server_date` The server's current date and time in UTC.
  `String` | `m_server_id` The name of the server.
  `epp_Service[]` | `m_services` The array of services offered by the server.
  `epp_Service[]` | `m_unspec_services` The array of custom object extensions supported by the server.
  `String[]` | `m_versions` The array of protocol versions supported by the server.

  ## Constructor Summary
  `epp_Greeting()` Empty constructor
  `epp_Greeting(String _m_server_id, String _m_server_date, String[] _m_versions, String[] _m_langs, epp_Service[] _m_services, epp_Service[] _m_unspec_services)` The constructor with initializing variables.

  ## Method Summary
  `String[]` | `getLangs()` Accessor method for the array of languages supported by the server
  `String` | `getServerDate()` Accessor method for the server's current date and time in UTC
  `String` | `getServerId()` Accessor method for the name of the server
  `epp_Service[]` | `getServices()` Accessor method for the array of services offered by the server
  `epp_Service[]` | `getUnspecServices()` Accessor method for the array of custom object extensions supported by the server
  `String[]` | `getVersions()` Accessor method for the array of protocol versions supported by the server
  `void` | `setLangs(String[] value)` Accessor method for the array of languages supported by the server
  `void` | `setServerDate(String value)` Accessor method for the server's current date and time in UTC
  `void` | `setServerId(String value)` Accessor method for the name of the server
  `void` | `setServices(epp_Service[] value)` Accessor method for the array of services offered by the server
  `void` | `setUnspecServices(epp_Service[] value)` Accessor method for the array of custom object extensions supported by the server
  `void` | `setVersions(String[] value)` Accessor method for the array of protocol versions supported by the server
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_langs

    public String[] m_langs

> The array of languages supported by the server.
> See Also:
>   `setLangs(String[])`, `getLangs()`

### m_server_date

    public String m_server_date

> The server's current date and time in UTC.
> See Also:
>   `setServerDate(String)`, `getServerDate()`

### m_server_id

    public String m_server_id

> The name of the server.
> See Also:
>   `setServerId(String)`, `getServerId()`

### m_services

    public epp_Service[] m_services

> The array of services offered by the server.
> See Also:
>   `setServices(epp_Service[])`, `getServices()`

### m_unspec_services

    public epp_Service[] m_unspec_services

> The array of custom object extensions supported by the server.
> See Also:
>   `setUnspecServices(epp_Service[])`, `getUnspecServices()`

### m_versions

    public String[] m_versions

> The array of protocol versions supported by the server.
> See Also:
>   `setVersions(String[])`, `getVersions()`

## Constructor Details

### epp_Greeting

    public epp_Greeting()

> Empty constructor

### epp_Greeting

    public epp_Greeting(String _m_server_id,
                        String _m_server_date,
                        String[] _m_versions,
                        String[] _m_langs,
                        epp_Service[] _m_services,
                        epp_Service[] _m_unspec_services)

> The constructor with initializing variables.
> Parameters:
>   `_m_server_id` - The name of the server
>   `_m_server_date` - The server's current date and time in UTC
>   `_m_versions` - The array of protocol versions supported by the server
>   `_m_langs` - The array of languages supported by the server
>   `_m_services` - The array of services offered by the server
>   `_m_unspec_services` - The array of custom object extensions supported by the server

## Method Details

### getLangs

    public String[] getLangs()

> Accessor method for the array of languages supported by the server
> Returns:
>   The array of languages supported by the server
> See Also:
>   `m_langs`

### getServerDate

    public String getServerDate()

> Accessor method for the server's current date and time in UTC
> Returns:
>   The server's current date and time
> See Also:
>   `m_server_date`

### getServerId

    public String getServerId()

> Accessor method for the name of the server
> Returns:
>   The name of the server
> See Also:
>   `m_server_id`

### getServices

    public epp_Service[] getServices()

> Accessor method for the array of services offered by the server
> Returns:
>   The array of services
> See Also:
>   `m_services`

### getUnspecServices

    public epp_Service[] getUnspecServices()

> Accessor method for the array of custom object extensions supported by the server
> Returns:
>   The array of service extensions
> See Also:
>   `m_unspec_services`

### getVersions

    public String[] getVersions()

> Accessor method for the array of protocol versions supported by the server
> Returns:
>   The array of protocol versions
> See Also:
>   `m_versions`

### setLangs

    public void setLangs(String[] value)

> Accessor method for the array of languages supported by the server
> Parameters:
>   `value` - The array of languages supported by the server
> See Also:
>   `m_langs`

### setServerDate

    public void setServerDate(String value)

> Accessor method for the server's current date and time in UTC
> Parameters:
>   `value` - The server's current date and time
> See Also:
>   `m_server_date`

### setServerId

    public void setServerId(String value)

> Accessor method for the name of the server
> Parameters:
>   `value` - The name of the server
> See Also:
>   `m_server_id`

### setServices

    public void setServices(epp_Service[] value)

> Accessor method for the array of services offered by the server
> Parameters:
>   `value` - The array of services
> See Also:
>   `m_services`

### setUnspecServices

    public void setUnspecServices(epp_Service[] value)

> Accessor method for the array of custom object extensions supported by the server
> Parameters:
>   `value` - The array of service extensions
> See Also:
>   `m_unspec_services`

### setVersions

    public void setVersions(String[] value)

> Accessor method for the array of protocol versions supported by the server
> Parameters:
>   `value` - The array of protocol versions
> See Also:
>   `m_versions`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS